/*	--------------------------------------
	Page structure and scaffolding
	-------------------------------------- */

	html { height: 100%; }
	body { height: 100%; background-color: #dddddd; font-family: Helvetica, Arial, sans-serif; font-size: 12pt; line-height: 1.5em; }

	#pageContainer { min-height: 100%; position: relative; }
	#environmentWarning { background-color: #dfdfdf; color: #aaaaaa; font-family: Helvetica, Arial, sans-serif; font-size: 8pt; font-weight: bold; padding: 1px; }
	#maintenanceWarning { background-color: #F9F2F4; color: #D02572; font-family: Helvetica, Arial, sans-serif; font-size: 10pt; font-weight: normal; padding: 10px; }
	#console { background-color: #aaa; color: #eee; font-family: Helvetica, Arial, sans-serif; font-size: 10pt; font-weight: normal; padding: 10px; }
	#header { padding-top: 5px; padding-bottom: 0px; }
	#headerContainer {
		min-height: 350px;
		border-top-left-radius: 15px;
		border-top-right-radius: 15px;
		background-repeat: no-repeat;
		clip-path: polygon(0 0, 100% 0, 100% calc(100% - 3vw), 0 100%);
		-webkit-clip-path: polygon(0 0, 100% 0, 100% calc(100% - 3vw), 0 100%);
		margin-bottom: -3vw;
		background-color: #ffffff;
	}
	#headerRow {
		border-top-left-radius: 15px;
		border-top-right-radius: 15px;
		padding-left: 25px;
		padding-right: 25px;
	}
	#pageContentContainer {
		padding-top: 50px; 
		background-color: #ffffff;
	}
	#pageContent { margin: 0 auto; padding: 25px; padding-bottom: 135px; background-color: #ffffff; }
	#footer { background-color: #eeeeee; font-size: 10pt; position: absolute; bottom: 0; width: 100%; height: 100px; padding-top: 25px; padding-bottom: 10px; }
		/* to ensure footer remains anchored to bottom of page, footer height (plus top or bottom padding) must always match bottom padding of pageContent */
	#cmsPageBottomNav { margin-top: 15px; }
	#logo { padding-top: 20px; padding-bottom: 20px; }

	.bibliography { text-indent: -36px; padding-left: 36px; }
	.pointer { cursor: pointer; }

/*	--------------------------------------
	Headers
	-------------------------------------- */
	
	h1 { font-size: 24pt; margin-top: 0px; margin-bottom: 0px; font-family: "Josefin Sans"; }
	h2 { font-size: 18pt; margin-top: 0px; margin-bottom: 15px; }
	h3 { font-size: 16pt; margin-top: 0px; margin-bottom: 15px; }
	h4 { font-size: 14pt; }
	h5 { font-size: 12pt; }
	h6 { font-size: 10pt; font-weight: bold; }
	
	.hero { font-size: 38pt; line-height: 1em; }

/*	--------------------------------------
	Forms
	-------------------------------------- */
	
	form { padding: 0; margin: 0; }
	.inputMargins { margin-bottom: 10px; }
	.inputLabel { font-weight: bold; }
	.inputColumnLeft { float: left; width: 20%; margin-right: 5%; }
	.inputColumnRight { float: left; width: 75%; }
	.inputColumnClear { clear: left; }
	
	.multipicker { padding: 4px; border: 1px solid #ddd; overflow: scroll; overflow-x: hidden; }
	.multipickerSelectedValue { font-weight: bold; }
	.multipickerUnselectedValue { font-weight: normal; }

/*	--------------------------------------
	Links
	-------------------------------------- */

	a, a:visited { color: #4a5daf; text-decoration: none; }
	a:hover, a:active { color: #283984; text-decoration: underline; }

	a.inverse, a.inverse:visited, a.inverse:hover, a.inverse:active { color: #ffffff; text-decoration: none; }

	a.subtle, a.subtle:visited { color: #c2c2c2; text-decoration: none; }
	a.subtle:hover, a.subtle:active { color: #959595; text-decoration: underline; }

	a.errorMessage, a.errorMessage:visited { color: #ff0000; text-decoration: underline; }
	a.errorMessage:hover, a.errorMessage:active { color: #ff0000; text-decoration: none; }

	a.warningMessage, a.warningMessage:visited { color: #ab8258; text-decoration: underline; }
	a.warningMessage:hover, a.warningMessage:active { color: #ab8258; text-decoration: none; }

	a.h1, a.h1:visited { color: #ffffff; text-decoration: none; }
	a.h1:hover, a.h1:active { color: #dddddd; text-decoration: none; }

/*	--------------------------------------
	Lists
	-------------------------------------- */

	.hideBullets { list-style-type: none; padding-left: 0px; margin-left: 0px; }
